Skip to main content

New NPRuntime plugin doesn't work with FireFox 3 nightlies

1 reply [Last post]
vajav
Offline
Joined: 2005-07-17
Points: 0

I am building firefox 3 myself with the option --disable-oji and the b08 early access version. Whilst the plugin appears in "about"plugins" It cannot handle any applets etc Is there anything else I need to do?

Java(TM) Platform SE 6 U10

File name: C:\Program Files\Mozilla Firefox\plugins\npdeploytk.dll
Java(TM) Platform SE binary

MIME Type Description Suffixes Enabled
application/npruntime-scriptable-plugin;DeploymentToolkit Yes

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
kbr
Offline
Joined: 2003-06-16
Points: 0

The new Java Plug-In doesn't yet support building FF 3 without OJI. We still use a little of the OJI functionality to access things like the cookie store and browser proxy settings. In a FF release past 3.0 the Mozilla team is going to add NPAPI entry points for this functionality at which point the new Java Plug-In will be completely decoupled from OJI. In the meantime you must either use the FF 3 builds from Mozilla.org which have OJI enabled or build it yourself without the --disable-oji flag.